Skip to content
Get started

Delete an external study

client.autoScribe.studies.external.delete(ExternalDeleteParams { studyId, studyInstanceUid } body?, RequestOptionsoptions?): ExternalDeleteResponse { success, message }
POST/v1/autoScribe/studies/external/delete

Soft-deletes an external study. This is one-way; POST /studies/uncancel cannot reverse it.

ParametersExpand Collapse
body: ExternalDeleteParams { studyId, studyInstanceUid }
studyId?: string

Unique study identifier. Format: stu_{32-hex-chars}

studyInstanceUid?: string

DICOM Study Instance UID. Must be a valid DICOM UID format (e.g., ‘1.2.840.10008.5.1.4.1.1.2’)

minLength1
ReturnsExpand Collapse
ExternalDeleteResponse { success, message }

Result of deleting an external study

success: boolean
message?: string

Delete an external study

import Avara from 'avara-software';

const client = new Avara({
  apiKey: process.env['AVARA_API_KEY'], // This is the default and can be omitted
});

const external = await client.autoScribe.studies.external.delete();

console.log(external.success);
{
  "success": true,
  "message": "message"
}
Returns Examples
{
  "success": true,
  "message": "message"
}